OtherClassOtherPackage.EmbeddedEnum
Date: 2022-09-14

org.apache.maven.tools.plugin.extractor.annotations.converter.test.other

## Enum OtherClassOtherPackage.EmbeddedEnum

- java.lang.Object
- - java.lang.Enum<OtherClassOtherPackage.EmbeddedEnum>
  - - org.apache.maven.tools.plugin.extractor.annotations.converter.test.other.OtherClassOtherPackage.EmbeddedEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OtherClassOtherPackage.EmbeddedEnum>
  Enclosing class:
    OtherClassOtherPackage

      public static enum OtherClassOtherPackage.EmbeddedEnum
      extends java.lang.Enum<OtherClassOtherPackage.EmbeddedEnum>

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OtherClassOtherPackage.EmbeddedEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OtherClassOtherPackage.EmbeddedEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### values

          public static OtherClassOtherPackage.EmbeddedEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OtherClassOtherPackage.EmbeddedEnum c : OtherClassOtherPackage.EmbeddedEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OtherClassOtherPackage.EmbeddedEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null